<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-6">
      <div class="text-center">
        <h1>Registreren</h1>
      </div>

      <div>Vul op zijn minst een naam, wachtwoord en stad in.</div>

      <form
        #registerForm="ngForm"
        name="form"
        (ngSubmit)="registerForm.form.valid && onSubmit()"
        novalidate
      >
        <div class="form-group">
          <label for="username">Gebruikersnaam:</label>
          <input
            [(ngModel)]="user.username"
            name="username"
            id="username"
            #username="ngModel"
            class="form-control"
            type="text"
            required
          />
          <div
            *ngIf="username.invalid && username.touched"
            class="alert alert-danger"
          >
            <div *ngIf="username.errors.required">
              Voer een gebruikersnaam in
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="password">Wachtwoord:</label>
          <input
            [(ngModel)]="user.password"
            name="password"
            id="password"
            #password="ngModel"
            class="form-control"
            type="text"
            required
            minlength="5"
          />
          <div
            *ngIf="password.invalid && password.touched"
            class="alert alert-danger"
          >
            <div *ngIf="password.errors.required || password.errors.minlength">
              Voer een wachtwoord met minstens 5 tekens in
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="emailAddress">E-mailadres:</label>
          <input
            [(ngModel)]="user.emailAddress"
            name="emailAddress"
            id="emailAddress"
            class="form-control"
            #emailAddress="ngModel"
            class="form-control"
            type="email"
            pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
          />
          <div
            *ngIf="emailAddress.invalid && emailAddress.touched"
            class="alert alert-danger"
          >
            <div *ngIf="emailAddress.errors.pattern">
              Voer een geldig email adres in
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="phoneNumber">Telefoonnummer:</label>
          <input
            [(ngModel)]="user.phoneNumber"
            name="phoneNumber"
            id="phoneNumber"
            #phoneNumber="ngModel"
            class="form-control"
            type="text"
            pattern="^(?=^.{10,11}$)0\d*-?\d*$"
          />
          <div
            *ngIf="phoneNumber.invalid && phoneNumber.touched"
            class="alert alert-danger"
          >
            <div *ngIf="phoneNumber.errors.pattern">
              Voer een geldig telefoonnummer in
            </div>
          </div>
        </div>
        <div class="form-group">
          <label for="city">Stad:</label>
          <input
            [(ngModel)]="address.city"
            name="city"
            id="city"
            #city="ngModel"
            class="form-control"
            type="text"
            required
          />
          <div *ngIf="city.invalid && city.touched" class="alert alert-danger">
            <div *ngIf="city.errors.required">Voer een stad in</div>
          </div>
        </div>
        <div class="form-group">
          <label for="street">Straat:</label>
          <input
            [(ngModel)]="address.street"
            name="street"
            id="street"
            #street="ngModel"
            class="form-control"
            type="text"
          />
        </div>
        <div class="form-group">
          <label for="houseNumber">Huisnummer:</label>
          <input
            [(ngModel)]="address.houseNumber"
            name="houseNumber"
            id="houseNumber"
            #houseNumber="ngModel"
            class="form-control"
            type="text"
          />
        </div>
        <div class="form-group">
          <label for="postalCode">Postcode:</label>
          <input
            [(ngModel)]="address.postalCode"
            name="postalCode"
            id="postalCode"
            #postalCode="ngModel"
            class="form-control"
            type="text"
            pattern="^[0-9]{4}[a-zA-Z]{2}$"
          />
          <div
            *ngIf="postalCode.invalid && postalCode.touched"
            class="alert alert-danger"
          >
            <div *ngIf="postalCode.errors.pattern">
              Voer een geldige postcode in
            </div>
          </div>
        </div>

        <button type="submit" class="btn btn-medium btn-main">Aanmaken</button>
      </form>
    </div>
  </div>
</div>
